language: cpp
compiler:
  - gcc
  - clang
env:
  - HOST=i386-pc-linux-gnu
matrix:
  exclude:
    - compiler: clang
      env: HOST=i386-pc-linux-gnu

before_script:
  - sudo apt-get update
  - sudo apt-get install dejagnu texinfo
  - if [ "$HOST" = i386-pc-linux-gnu ] ; then sudo apt-get install gcc-multilib g++-multilib && CC="$CC -m32" && CXX="$CXX -m32" ; fi

script:
  - ./autogen.sh
  - ./configure ${HOST+--host=$HOST}
  - make
  - make dist
  - make check
